From b7d4e572923a98cc4ff266e95a3bd247556fb834 Mon Sep 17 00:00:00 2001
From: Prafulla Giri <pratheblackdiamond@gmail.com>
Date: Fri, 4 Sep 2020 12:59:28 +0545
Subject: [PATCH 2/2] gnu: kde-frameworks: Add breeze

* gnu/packages/kde-frameworks.scm (breeze): New variable.
---
 gnu/packages/kde-frameworks.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/kde-frameworks.scm b/gnu/packages/kde-frameworks.scm
index e0b5e8d06e..fc1bfeba30 100644
--- a/gnu/packages/kde-frameworks.scm
+++ b/gnu/packages/kde-frameworks.scm
@@ -27,6 +27,7 @@
 (define-module (gnu packages kde-frameworks)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system qt)
+  #:use-module (guix build-system trivial)
   #:use-module (guix download)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
@@ -356,6 +357,32 @@ It is the default icon theme for the KDE Plasma 5 desktop.")
 with the Breeze visual style.")
     (license license:gpl2+)))
 
+(define-public breeze
+  (package
+    (name "breeze")
+    (version (package-version breeze-assets))
+    (source #f)
+    (build-system trivial-build-system)
+    (arguments
+     `(#:modules ((guix build union))
+       #:builder
+       (begin
+         (use-modules (ice-9 match)
+                      (guix build union))
+         (match %build-inputs
+                (((names . directories) ...)
+                 (union-build (assoc-ref %outputs "out")
+                              directories)
+                 #t)))))
+    (inputs
+     `(("breeze-icons" ,breeze-icons)
+       ("breeze-assets" ,breeze-assets)))
+    (home-page "https://github.com/KDE/breeze-icons")
+    (synopsis "Full Breeze Theme")
+    (description "The full Breeze visual style: a union-build of
+breeze-assets and breeze-icons.")
+    (license (list license:gpl2 license:gpl3+))))
+
 (define-public kapidox
   (package
     (name "kapidox")
-- 
2.28.0

